=== debian/changelog ===
libfduserdata (0.1-2) unstable; urgency=medium

  * d/control: Set Maintainer to Debian VirtualSquare Team
  * d/control: Fix Vcs
  * Initial Debian release (Closes: #965314)

 -- Andrea Capriotti <capriott@debian.org>  Sun, 19 Jul 2020 11:58:21 +0200

libfduserdata (0.1-1) unstable; urgency=medium

  * Initial release

 -- Renzo Davoli <renzo@cs.unibo.it>  Sun, 05 Jul 2020 17:05:19 +0200
