=== debian/control ===
Source: libfduserdata
Priority: optional
Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Mattia Biondi <mattiabiondi1@gmail.com>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
Build-Depends: debhelper-compat (= 13), cmake (>= 3.12)
Standards-Version: 4.5.0
Section: libs
Homepage: http://www.virtualsquare.org/
Vcs-Git: https://salsa.debian.org/virtualsquare-team/libfduserdata.git
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/libfduserdata
Rules-Requires-Root: no

Package: libfduserdata-dev
Section: libdevel
Architecture: any
Depends: libfduserdata0 (= ${binary:Version}), ${misc:Depends}
Description: associate file descriptors with user defined data (devel)
 This small library permits one to associate user defined data to file
 descriptors.  This library is thread safe.
 .
 This package contains the development files used for C programs.

Package: libfduserdata0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: associate file descriptors with user defined data (library)
 This small library permits one to associate user defined data to file
 descriptors.  This library is thread safe.
 .
 This package contains the shared library.
