=== debian/changelog ===
libfduserdata (0.1.2-2) unstable; urgency=medium

  * Merge Janitor bot proposal

 -- Andrea Capriotti <capriott@debian.org>  Fri, 08 Jan 2021 19:16:18 +0100

libfduserdata (0.1.2-1) unstable; urgency=medium

  * New Upstream Release
  * d/control: Standard version bumped to 4.5.1

 -- Andrea Capriotti <capriott@debian.org>  Fri, 08 Jan 2021 18:26:59 +0100

libfduserdata (0.1-3) UNRELEASED; urgency=low

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Debian Janitor <janitor@jelmer.uk>  Wed, 02 Sep 2020 11:28:04 -0000
